Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util
Class ErrorLog

    java.lang.Object
      scone.util.ErrorLog

    public class ErrorLog

extends java.lang.Object

class to log all exceptions into a file or any outputstream

Field Summary
`protected static boolean` | `catchesErr`

Constructor Summary
`ErrorLog()`

Method Summary
`static void` | `catchErr()` catches System.err
`static void` | `log(java.lang.Object obj, java.lang.String method, java.lang.String msg, java.lang.Exception e)` prints an object where an exception occurred and the exception to the outputstream.
`static void` | `print(java.lang.Object o)` prints an object to the outputstream
`static void` | `println(java.lang.Object o)` prints an object to the outputstream with a newline
`static void` | `releaseErr()` releases System.err
`static void` | `setOutputStream(java.io.OutputStream out)` sets the outputstream
`static void` | `standardInit()` sets the outputstream to the standard output file: log/scone/errors.log

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catchesErr

    protected static boolean catchesErr

Constructor Detail

### ErrorLog

    public ErrorLog()

Method Detail

### setOutputStream

    public static void setOutputStream(java.io.OutputStream out)

  sets the outputstream

  Parameters:
    `out` - the outputstream

### catchErr

    public static void catchErr()

  catches System.err

### releaseErr

    public static void releaseErr()

  releases System.err

### standardInit

    public static void standardInit()

  sets the outputstream to the standard output file: log/scone/errors.log

### print

    public static void print(java.lang.Object o)

  prints an object to the outputstream

  Parameters:
    `o` - the object

### println

    public static void println(java.lang.Object o)

  prints an object to the outputstream with a newline

  Parameters:
    `o` - the object

### log

    public static void log(java.lang.Object obj,
                           java.lang.String method,
                           java.lang.String msg,
                           java.lang.Exception e)

  prints an object where an exception occurred and the exception to the outputstream.
  the object may add a message.
  also sends a short notification to System.out

  Parameters:
    `obj` - the object
    `method` - the name of the method where the Exception occurred
    `msg` - the message
    `e` - the Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD